Bug 198905 - Experiment with simple structured bindings use
Summary: Experiment with simple structured bindings use
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on: 198914
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-16 13:05 PDT by Sam Weinig
Modified: 2019-06-26 16:46 PDT (History)
9 users (show)

See Also:


Attachments
Patch (1.40 KB, patch)
2019-06-16 13:06 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Try again (1.40 KB, patch)
2019-06-25 17:15 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2019-06-16 13:05:13 PDT
Experiment with simple structured bindings use
Comment 1 Sam Weinig 2019-06-16 13:06:48 PDT Comment hidden (obsolete)
Comment 2 Build Bot 2019-06-16 13:09:53 PDT Comment hidden (obsolete)
Comment 3 Sam Weinig 2019-06-16 13:16:28 PDT
(In reply to Build Bot from comment #2)
> Attachment 372227 [details] did not pass style-queue:
> 
> 
> ERROR: Source/WTF/wtf/URLHelpers.cpp:732:  Extra space before [. 
> [whitespace/brackets] [5]
> Total errors found: 1 in 2 files
> 
> 
> If any of these errors are false positives, please file a bug against
> check-webkit-style.

Filed https://bugs.webkit.org/show_bug.cgi?id=198906 for this.
Comment 4 Darin Adler 2019-06-17 10:24:11 PDT
Comment on attachment 372227 [details]
Patch

Looks like this is going to work once we upgrade those last two EWS bots.
Comment 5 Sam Weinig 2019-06-25 17:15:37 PDT
Created attachment 372882 [details]
Try again
Comment 6 Build Bot 2019-06-25 17:18:52 PDT
Attachment 372882 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/URLHelpers.cpp:732:  Extra space before [.  [whitespace/brackets] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 WebKit Commit Bot 2019-06-25 19:00:53 PDT
Comment on attachment 372882 [details]
Try again

Clearing flags on attachment: 372882

Committed r246826: <https://trac.webkit.org/changeset/246826>
Comment 8 WebKit Commit Bot 2019-06-25 19:00:55 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-06-26 16:46:03 PDT
<rdar://problem/52218743>
Comment 10 Radar WebKit Bug Importer 2019-06-26 16:46:05 PDT
<rdar://problem/52218744>